Bug 78716 - Fix Mesa bugs for running Unreal Engine 4.1 Cave effects demo compiled for Linux
Summary: Fix Mesa bugs for running Unreal Engine 4.1 Cave effects demo compiled for Linux
Status: RESOLVED NOTOURBUG
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-15 00:18 UTC by oscar garcia
Modified: 2014-07-16 14:55 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
patch that adds 4.0 missing blend functions api (2.49 KB, patch)
2014-07-14 13:06 UTC, Tapani Pälli
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description oscar garcia 2014-05-15 00:18:44 UTC
Hi,
I have compiled Cave effects demo of UE4 for Linux and as expected doesn't work using Mesa open source drivers tested on both nouveau (GTX 470) and radeonsi (HD 7970) drivers..
I uploaded the demo to Mediafire: http://www.mediafire.com/download/0rav1j9033l784m/cave.rar
Tried to run drivers using current drivers at https://launchpad.net/~nzatkovich/+archive/bleediergraphics because they use LLVM 3.5 daily so have support for GL 3.3 on radeonsi..
The demo runs by default using GL 3.2 profile and can be run in OGL 4.3 mode via -opengl4 argument. This can be useful for testing Mesa against it when it supports compute shaders, VAB and other features used by GL4 path..
Note demo runs on both Nvidia and AMD latest binary graphic drivers..

(See README inside file for more arguments and details on binary drivers used)
Comment 1 Michel Dänzer 2014-05-15 01:46:11 UTC
The first issue I'm hitting with r600g is that the demo tries to get the value of GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS and then fails an assertion because that's not available. Looks like an issue in the demo rather than in Mesa.
Comment 2 Tapani Pälli 2014-05-15 04:55:27 UTC
For me the demo fails with following error:

setrlimit() failed with error 22 (Invalid argument)
- Max per-process value allowed is 4096 (we wanted 10000).
Comment 3 Tapani Pälli 2014-05-15 05:27:10 UTC
OK finally got it going. Demo may need compute and tesselation support (?) as it queries following enums:

GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS
GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS
GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS
GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS
GL_MAX_COMPUTE_UNIFORM_COMPONENTS
GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS

After some more investigations found out that demo uses ARB_texture_multisample (requires GL_MAX_COLOR_TEXTURE_SAMPLES > 0) and has GLSL 1.50 shaders. I get numerous errors from failing resource file loads so I stopped there, this is what I'm getting:

LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Checkerboard.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/DefaultAppIcon.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Checkerboard.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/SplineFilterTable.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/White.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/BoxShadow.png' error.
...
Comment 4 Michel Dänzer 2014-05-15 06:17:52 UTC
(In reply to comment #3)
> OK finally got it going. Demo may need compute and tesselation support (?)

Neither of which are available in OpenGL 3.x or exposed as extensions by Mesa. So the demo's GL 3.2 profile seems buggy to say the least, assuming it can work at all without OpenGL 4.x functionality.

I suggest reporting this to Epic, and filing other reports here for any actual Mesa bugs you find.
Comment 5 oscar garcia 2014-05-15 07:41:16 UTC
Hi Tapani and Michel,

first thanks for fast support!
sad to see this bug closed hope still you reopen bug for reasons said below..

I have to say first sorry, I tested demo a week ago and I totally forgot about the setrlimit error, for that I edited /etc/security/limits.conf
changing the line with nofile to "*	hard nofile 10001" but you seem to have fixed also..

Also, yes seem first error we hit is related to getting some queries on compute shader limits GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS in that case..

as you said maybe they are getting some queries about tess and compute shader but I'm pretty sure demo by default uses only GL3.2 functionality apart from this queries i.e. doesn't use truly tesselation and compute shaders.. as said demo supports GL4.3 mode using -opengl4 argument and perhaps they forgot to omit this queries in GL3 path..

I'm reporting that to Epic but anyway I still hope you can omit by now this "little UE4 error" and try to get running demo currently as perhaps there can be true buggy behaviour on Mesa drivers which get exposed by UE4 GL3 path..

If you don't reopen this bug can I reopen other with a apitrace trace of the demo avoiding this queries?

Also please forgot about all lines similar to that:
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Checkerboard.png' error.

this doesn't avoid demo running correctly on binary drivers in fact I think even Win binaries report this errors..
So those aren't true errors I get that full console output on a demo running correclty on AMD fglrx drivers:
Using binned.
LogOnline:Warning: No default platform service specified for OnlineSubsystem
LogRHI:Warning: disabling reporting back of debug groups and markers to the OpenGL debug output callback
LogRHI:Warning: disabling reporting back of debug groups and markers to the OpenGL debug output callback
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Checkerboard.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/DefaultAppIcon.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Checkerboard.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/SplineFilterTable.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/White.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/BoxShadow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/DashedBorder.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBlockHighlightShape.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBlockHighlightShape_Empty.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/cursor_grab.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/cursor_cardinal_cross.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/TrashCan.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/TrashCan_Small.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/Cross_12x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/denied_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/icon_error_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/icon_help_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/icon_info_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/icon_warning_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/icon_Downloads_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/GroupBorder.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/DebugBorder.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/Menu_Background.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/icon_undo_16px.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/icon_redo_16px.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/PlusSymbol_12x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/Cross_12x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/ellipsis_12x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Check.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/EditableTextSelectionBackground.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/DashedBorder.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/HyperlinkDotted.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/Menu_Background.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/ToolTip_Background.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/Border.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Throbber_Piece.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Throbber_Piece.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/GroupBorder.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBoxLabelBorder.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/GroupBorder.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Checker.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/eyedropper_16px.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColorPicker_Mode_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColorPicker_Separator.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColorSpectrum.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Circle.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/X.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColorWheel.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Circle.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TreeArrow_Collapsed.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TreeArrow_Collapsed_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TreeArrow_Expanded.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TreeArrow_Expanded_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/icon_generic_toolbar.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/icon_generic_toolbar.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/GroupBorder.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/icon_tab_toolbar_16px.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/toolbar_expand_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SubmenuArrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/Button.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/Menu_Background.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/icon_tab_toolbar_16px.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/toolbar_expand_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SubmenuArrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/Button.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Selection.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ExpansionButton_CloseOverlay.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Delimiter.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/Menu_Background.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/Menu_Background_Inverted_Border_Bold.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/notificationlist_success.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/notificationlist_fail.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/EventMessage_Default.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Separator.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Separator.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Separator.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/Menu_Background.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/GroupBorder.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/OuterDockingIndicator.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/OuterDockingIndicator.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/OuterDockingIndicator.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/OuterDockingIndicator.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/OuterDockingIndicator.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/OuterDockingIndicator.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/OuterDockingIndicator.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/OuterDockingIndicator.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/DockingIndicator_Center.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/DockingIndicator_Center.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Tutorials/TutorialBorder.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Tutorials/TutorialShadow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/icon_tab_WidgetReflector_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/MessageLog/Log_Error.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/MessageLog/Log_Warning.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/MessageLog/Log_Note.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/CrashTracker/MouseCursor.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/CrashTracker/Record.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Pressed.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Disabled.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/Menu_Background.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ComboArrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Pressed.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Disabled.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/Menu_Background.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ComboArrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Pressed.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Disabled.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ComboArrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/CheckBox.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/CheckBox.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/CheckBox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/CheckBox_Checked_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/CheckBox_Checked_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/CheckBox_Checked.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/CheckBox_Undetermined.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/CheckBox_Undetermined_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/CheckBox_Undetermined_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Selected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Selected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/EditableTextSelectionBackground.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/DashedBorder.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/White.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_ReadOnly.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_ReadOnly.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/HyperlinkDotted.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Old/HyperlinkUnderline.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ProgressBar_Background.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ProgressBar_Fill.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ProgressBar_Marquee.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Scrollbar_Background_Horizontal.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Scrollbar_Background_Vertical.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Scrollbar_Thumb.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Scrollbar_Thumb.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Scrollbar_Thumb.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TreeArrow_Collapsed.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TreeArrow_Expanded.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_Special.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_Special_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_Special_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_ReadOnly.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/UpArrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/DownArrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SearchGlass.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/X.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Disabled.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Disabled.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/VolumeControl_High.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/VolumeControl_Mid.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/VolumeControl_Low.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/VolumeControl_Off.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/VolumeControl_Muted.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Spinbox.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Spinbox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Spinbox_Fill.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Spinbox_Fill_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SpinArrows.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Spinbox_Fill_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Spinbox_Fill.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SpinArrows.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColorPicker_SliderHandle.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColorPicker_SliderHandle.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SplitterHandleHighlight.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Selector.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Selection.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Selection.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Selection.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Selection.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Selection.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Selection.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SortUpArrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SortDownArrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColumnHeader.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColumnHeader_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColumnHeader_Arrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColumnHeaderMenuButton_Normal.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColumnHeaderMenuButton_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SortUpArrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SortDownArrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColumnHeader.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColumnHeader_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColumnHeader_Arrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColumnHeaderMenuButton_Normal.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColumnHeaderMenuButton_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SortUpArrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SortDownArrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/LastColumnHeader_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColumnHeader_Arrow.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColumnHeaderMenuButton_Normal.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ColumnHeaderMenuButton_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/HeaderSplitterGrip.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TableViewHeader.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/CloseApp_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/CloseApp_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/CloseApp_Pressed.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_ReadOnly.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheckBox.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheckBox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheckBox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheckBox_Checked_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheckBox_Checked_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Selected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Selected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Disabled.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/TextBox_ReadOnly.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheckBox.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheckBox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheckBox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheckBox_Checked.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheckBox_Checked_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheckBox_Checked_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/CheckBox_Undetermined.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/CheckBox_Checked_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/CheckBox_Undetermined_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/Empty_14x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/Empty_14x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheckBox_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheck.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheck.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/SmallCheck.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Icons/Empty_14x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Selected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Selected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RadioButton_Unselected_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/RoundedSelection_16x.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/ShowTabwellButton_Normal.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/ShowTabwellButton_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/ShowTabwellButton_Pressed.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Disabled.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/CloseApp_Normal.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/CloseApp_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/CloseApp_Pressed.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/Tab_Inactive.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/Tab_Active.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/Tab_ColorOverlay.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/Tab_Foreground.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/Tab_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/TabContentArea.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/TabWellSeparator.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/CloseApp_Normal.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/CloseApp_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/CloseApp_Pressed.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/AppTab_Inactive.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/AppTab_Active.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/AppTab_ColorOverlay.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/AppTab_Foreground.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/AppTab_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/AppTabContentArea.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate//Docking/AppTabWellSeparator.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ScrollBoxShadowTop.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ScrollBoxShadowBottom.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ScrollBorderShadowTop.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/ScrollBorderShadowBottom.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowButton_Minimize_Normal.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowButton_Minimize_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowButton_Minimize_Pressed.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowButton_Minimize_Disabled.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowButton_Maximize_Normal.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowButton_Maximize_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowButton_Maximize_Pressed.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowButton_Maximize_Disabled.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowButton_Restore_Normal.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowButton_Restore_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowButton_Restore_Pressed.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Disabled.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowButton_Close_Normal.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowButton_Close_Hovered.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowButton_Close_Pressed.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Button_Disabled.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowTitle.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowTitle_Inactive.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowTitle_Flashing.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowBorder.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowOutline.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/Window/WindowBackground.png' error.
LogStreaming:Warning: Failed to read file '../../../Engine/Content/Slate/Common/NoiseBackground.png' error.
LogConsoleResponse:Display: 
LogMaterial:Warning: Failed to compile Material /Game/Effects/Materials/M_Water_Test_01.M_Water_Test_01 for platform GLSL_150, Default Material will be used in game.
LogInit:Display: Game Engine Initialized.
LogRenderer:Warning: Reallocating scene render targets to support 1600x1000.
Comment 6 Tapani Pälli 2014-05-15 08:28:30 UTC
(In reply to comment #5)
> Hi Tapani and Michel,
8<
> If you don't reopen this bug can I reopen other with a apitrace trace of the
> demo avoiding this queries?

If you have apitrace capture and it shows a bug in Mesa then yes of course. Hacking through issues in app is a dangerous course to take but if it is just the queries (which apitrace can prove) then can't see why not.
Comment 7 Michel Dänzer 2014-05-15 08:36:39 UTC
(In reply to comment #5)
> sad to see this bug closed hope still you reopen bug for reasons said below..

If you hit an actual bug in Mesa, file a report describing that bug with all the necessary information. This kind of vague 'any bugs which might happen with some app, if it did run' is not very useful.


> perhaps they forgot to omit this queries in GL3 path..

That would be fine, if they didn't then crash with an assertion failure if the OpenGL implementation doesn't know anything about the values queried. That makes it a non-starter right now.


> If you don't reopen this bug can I reopen other with a apitrace trace of the
> demo avoiding this queries?

If the apitrace demonstrates a specific bug in Mesa, it would be a good addition for a bug report as described above.
Comment 8 Tapani Pälli 2014-05-23 10:44:55 UTC
BTW according to comments here:
http://www.phoronix.com/forums/showthread.php?100299-Ue4-cave-demo-for-linux/page2

the asserts have been fixed in UE4 upstream (?) Please consider compiling and testing again, would be interesting get this to work.
Comment 9 oscar garcia 2014-07-10 21:04:16 UTC
Hi, seems now on unreal wiki there is a page with most content
demos compiled using some form of 4.3 preview so should have bugs fixed
querying tess info etc.. So now you can try to fix it, right?

El miércoles, 28 de mayo de 2014, <bugzilla-daemon@freedesktop.org>
escribió:

>  darkbasic <javascript:_e(%7B%7D,'cvml','darkbasic@linuxsystems.it');> changed
> bug 78716 <https://bugs.freedesktop.org/show_bug.cgi?id=78716>
>  What Removed Added  CC   darkbasic@linuxsystems.it
> <javascript:_e(%7B%7D,'cvml','darkbasic@linuxsystems.it');>
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 10 Tapani Pälli 2014-07-14 13:06:28 UTC
Created attachment 102771 [details] [review]
patch that adds 4.0 missing blend functions api

attached patch makes some of these new demos work for me on Intel Haswell machine
Comment 11 Kenneth Graunke 2014-07-14 15:32:02 UTC
(In reply to comment #10)
> Created attachment 102771 [details] [review] [review]
> patch that adds 4.0 missing blend functions api
> 
> attached patch makes some of these new demos work for me on Intel Haswell
> machine

Ah, that problem :)  Tapani, would you mind sending that patch to the mailing list and Cc'ing Ian?

We support ARB_draw_buffers_blend, which introduces these functions but with an ARB suffix.  But, if you read ARB_blend_func_extended, it talks abbout removing references to BlendFunci (not BlendFunciARB!) if you don't support ARB_draw_buffers_blend...which makes it sound like ARB_draw_buffers_blend should have introduced them.

https://www.opengl.org/registry/specs/ARB/draw_buffers_blend.txt
https://www.opengl.org/registry/specs/ARB/blend_func_extended.txt

Since it's just accepting the core names in addition to the ARB names, which we're going to do eventually anyway, I'm in favor of taking your patch.  I've seen a few of Intel's GL tests hit this bug as well.


bug/show.html.tmpl processed on Jan 19, 2017 at 21:16:09.
(provided by the Example extension).